Subject: RE: bug#24023: 24.5; Use `custom-file' (if defined), not init file, for `en/disable-command'

From: Drew Adams <[email-masked]>
Date: Tue, 19 Jul 2016 08:47:40 -0700 (PDT)

> This feature is not a defcustom, so it doesn't work like one.  Perhaps
> the easiest way forward would be to make it a defcustom, or something
> like one.

I see now that this was all discussed in the bug that this one was merged with. I'd forgotten about that bug.

Yes, something should be done, to bring this feature up to the level of current Emacs.  A priori, I don't really care what is done or how.  IOW, I trust your judgment on this.

The point is that Emacs should not still be writing to a users init file.  As mentioned in that other bug thread, two alternative suggestions were:

* Replace this way of enabling/disabling with a way that uses defcustom.  (It could involve a wrapper around the `put' thingy or something else.)

* Keep the current mechanism, but write to a different file from the init file (and different from `custom-file').